LibreOffice: XMultiHierarchicalPropertySet Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XMultiHierarchicalPropertySet Interface Referencepublished

provides access to multiple properties which form a hierarchy. More...

`import"XMultiHierarchicalPropertySet.idl";`

Inheritance diagram for XMultiHierarchicalPropertySet:

## Public Member Functions
com::sun::star::beans::XHierarchicalPropertySetInfo | getHierarchicalPropertySetInfo ()
| retrieve information about the hierarchy of properties More...
void | setHierarchicalPropertyValues ([in] sequence< string > aHierarchicalPropertyNames, [in] sequence< any > Values) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of the properties with the specified nested names. More...
sequence< any > | getHierarchicalPropertyValues ([in] sequence< string > aPropertyNames) raises ( com::sun::star::lang::IllegalArgumentException , com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to multiple properties which form a hierarchy.

See also
  XHierarchicalPropertySet

## Member Function Documentation

## § getHierarchicalPropertySetInfo()

com::sun::star::beans::XHierarchicalPropertySetInfo getHierarchicalPropertySetInfo | ( |  | ) |

retrieve information about the hierarchy of properties

Returns
  the XHierarchicalPropertySetInfo interface, which describes the property hierarchy of the object which supplies this interface.
  `NULL` if the implementation cannot or will not provide information about the properties; otherwise the interface XHierarchicalPropertySetInfo is returned.

See also
  XHierarchicalPropertySet::getHierarchicalPropertySetInfo

## § getHierarchicalPropertyValues()

sequence<any> getHierarchicalPropertyValues | ( | [in] sequence< string > | aPropertyNames | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

Returns
  a sequence of all values of the properties which are specified by their nested names.

The order of the values in the returned sequence will be the same as the order of the names in the argument.

Unknown properties are ignored, in their place `NULL` will be returned.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if one of the names is not a well-formed nested name for this hierarchy. An implementation is not required to detect this condition.
  com::sun::star::lang::WrappedTargetException | if the implementation has an internal reason for the exception. In this case the original exception is wrapped into that com::sun::star::lang::WrappedTargetException.

See also
  XHierarchicalPropertySet::getHierarchicalPropertyValue
  XMultiPropertySet::setPropertyValues

## § setHierarchicalPropertyValues()

void setHierarchicalPropertyValues | ( | [in] sequence< string > | aHierarchicalPropertyNames,
|  | [in] sequence< any > | Values
| ) |  |
raises | ( | com::sun::star::beans::PropertyVetoException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

sets the values of the properties with the specified nested names.

The values of the properties must change before bound events are fired. The values of constrained properties should change after the vetoable events are fired, if no exception occurs.

Unknown properties are ignored.

Parameters

  aHierarchicalPropertyNames | This parameter specifies the names of the properties.
  Values | This parameter specifies the new values for the properties.

Exceptions

  PropertyVetoException | if one of the properties is constrained and the change is vetoed by a XVetoableChangeListener.
  com::sun::star::lang::IllegalArgumentException | if one of the values is not a legal value for the corresponding property or if one of the names is not a well-formed nested name for this hierarchy. An implementation is not required to detect the latter condition.
  com::sun::star::lang::WrappedTargetException | if the implementation has an internal reason for the exception. In this case the original exception is wrapped into that com::sun::star::lang::WrappedTargetException.

See also
  XHierarchicalPropertySet::setHierarchicalPropertyValue
  XMultiPropertySet::setPropertyValues

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XMultiHierarchicalPropertySet.idl